Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat.descriptive
Interface StatisticalMultivariateSummary

All Known Implementing Classes:
  MultivariateSummaryStatistics, SynchronizedMultivariateSummaryStatistics

    public interface StatisticalMultivariateSummary

Reporting interface for basic multivariate statistics.

Since:
  1.2
Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $

Method Summary
`RealMatrix` | `getCovariance()` Returns the covariance of the available values.
`int` | `getDimension()` Returns the dimension of the data
`double[]` | `getGeometricMean()` Returns an array whose ith entry is the geometric mean of the ith entries of the arrays that correspond to each multivariate sample
`double[]` | `getMax()` Returns an array whose ith entry is the maximum of the ith entries of the arrays that correspond to each multivariate sample
`double[]` | `getMean()` Returns an array whose ith entry is the mean of the ith entries of the arrays that correspond to each multivariate sample
`double[]` | `getMin()` Returns an array whose ith entry is the minimum of the ith entries of the arrays that correspond to each multivariate sample
`long` | `getN()` Returns the number of available values
`double[]` | `getStandardDeviation()` Returns an array whose ith entry is the standard deviation of the ith entries of the arrays that correspond to each multivariate sample
`double[]` | `getSum()` Returns an array whose ith entry is the sum of the ith entries of the arrays that correspond to each multivariate sample
`double[]` | `getSumLog()` Returns an array whose ith entry is the sum of logs of the ith entries of the arrays that correspond to each multivariate sample
`double[]` | `getSumSq()` Returns an array whose ith entry is the sum of squares of the ith entries of the arrays that correspond to each multivariate sample

Method Detail

### getDimension

    int getDimension()

  Returns the dimension of the data

  Returns:
    The dimension of the data

### getMean

    double[] getMean()

  Returns an array whose ith entry is the mean of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component means

### getCovariance

    RealMatrix getCovariance()

  Returns the covariance of the available values.

  Returns:
    The covariance, null if no multivariate sample have been added or a zeroed matrix for a single value set.

### getStandardDeviation

    double[] getStandardDeviation()

  Returns an array whose ith entry is the standard deviation of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component standard deviations

### getMax

    double[] getMax()

  Returns an array whose ith entry is the maximum of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component maxima

### getMin

    double[] getMin()

  Returns an array whose ith entry is the minimum of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component minima

### getN

    long getN()

  Returns the number of available values

  Returns:
    The number of available values

### getGeometricMean

    double[] getGeometricMean()

  Returns an array whose ith entry is the geometric mean of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component geometric means

### getSum

    double[] getSum()

  Returns an array whose ith entry is the sum of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component sums

### getSumSq

    double[] getSumSq()

  Returns an array whose ith entry is the sum of squares of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component sums of squares

### getSumLog

    double[] getSumLog()

  Returns an array whose ith entry is the sum of logs of the ith entries of the arrays that correspond to each multivariate sample

  Returns:
    the array of component log sums

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.